01
Sep
07

Ejecutar aplicaciones Windows en Ubuntu 7.04

Wine parecido a un emulador de windows (básicamente) y engaña al software para que se instale. Para hacerlo, solo debes de instalar Wine y wine tools, que permite configurar esta aplicacion de una forma facil y rapida.

Para instalar Wine digitamos en consola:
     sudo aptitude install wine cabextract

Baja http://www.4shared.com/file/26492320/7cf78405/winetools-09jo-IIItar.html el Wintool ejecutable y lo descomprimes (digitar lo siguiente dentro del directorio en donde esta el archivo descargado)
     sudo tar -C /opt -x -z -v -f winetools-0.9jo-III.tar.gz

Instalamos la libreria libgtk1.2 que usa el instalador.
     sudo aptitude install libgtk1.2

Nos vamos donde hemos descomprimido el archivo de Wine Tools e instalamos:
     cd /opt/winetools-0.9jo-III
     sudo ./install

Cuando termine iniciamos wine y winetools con nuestro usuario normal, ya que nos crearan un disco fake para engañar a windows. Digitamos en consola:
     wine && winetools

Seguimos las indicaciones que nos vaya dando el programa y luego, en el menu, procedemos a instalarle todo el software (en nuestro idioma o en ingles) que nos vaya indicada, lo hara automatizado. Despues de esto ya tendremos configurado un windows de “mentira” en nuestro sistema.

Para utilizar o instalar un programa de windows solo tienes que poner:
     wine programa.exe

Y listo, aparecerá el dicho programa para Windows.


2 Responses to “Ejecutar aplicaciones Windows en Ubuntu 7.04”


  1. 1 asaltodemata
    septiembre 7, 2007 a las 12:21 pm

    Hola y gracias por leer a un novato.
    Tengo un programa de contabilidad que es bajo gúindous y estaba intentandio a traves del wine que funciones en linux, tambien tengo en otra partición el güindows.
    No tenía instalado winetools y al ver este tutorial me decidí a seguirlo.
    Ahora con todo instalado creo que deberia de configurar algo del wine pero no se el que porque en principio si intento arrancar la aplicación que necesito con wine me dice esto:

    Error 298, DDE requires ddeml.dll

  2. 2 skrdz
    septiembre 12, 2007 a las 6:49 pm

    Hola!
    Con lo que me decis, me imagino que le hace falta una librería. En qué lenguaje fue creado el programa en el que te tira ese error? esto es importante, ya que se pudiera (me imagino yo) instalar o simplemente copiar las librerías necesarias en el directorio de trabajo de la aplicación y hacer que corra el programa.


Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s


A %d blogueros les gusta esto: